
QGIS Application - Bug report #12842

Merge selected features drops data silently

2015-05-28 09:49 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20937

Description

If one select and operation on merging data from fatures (e.g. average) that returs a decimal number, whereas the column type is int, the

data are neither rouded nor truncated, but dropped without warning the user. Same form Merge attributes.

Associated revisions

Revision 099a40bd - 2015-10-20 11:36 AM - Nyall Dawson

Fix merge attributes/features tool resets values to null for int fields

Also add a warning if merged attribute value is not compatible with

field type.

Fix #12842

Revision d8303a76 - 2015-10-23 11:28 AM - Jürgen Fischer

pass through default values when merging features (followup 099a40b, refs #12842)

Revision c5762816 - 2015-11-19 02:31 PM - Nyall Dawson

Fix merge attributes/features tool resets values to null for int fields

Also add a warning if merged attribute value is not compatible with

field type.

Fix #12842

(cherry-picked from 099a40bdf2a59f87e28b9c6664c6b9da6fd927b4)

History

#1 - 2015-10-14 01:58 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this. Can you please post steps to trigger this issue?
#2 - 2015-10-20 02:47 AM - Nyall Dawson

- Status changed from Feedback to Closed

Fixed in changeset commit:"099a40bdf2a59f87e28b9c6664c6b9da6fd927b4".
